Skip to main content
PUT
/
networks
/
businessunits
/
{businessUnitId}
Update Business Unit
curl --request PUT \
  --url https://api.eflow.team/v1/networks/businessunits/{businessUnitId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "Marketing"
}
'
{
  "network_business_unit_id": 1,
  "network_id": 1,
  "name": "Marketing",
  "time_created": 1774712393,
  "time_saved": 1774712448
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

businessUnitId
integer
required

The ID of the business unit to update.

Body

application/json
name
string
required

Name of the business unit.

Response

200 - application/json

OK

A business unit in the network.

network_business_unit_id
integer

Unique business unit ID.

network_id
integer

Network ID.

name
string

Name of the business unit.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015